## libkf5kdgantt2 16.04.2

=== CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8.12)

project(kdgantt2)

find_package(ECM 5.19.0 CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(LIBRARY_NAMELINK)
include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(ECMPackageConfigHelpers)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(ECMAddTests)


set(KF5_VERSION "5.19.0")
set(KDGANTS_LIB_VERSION "5.2.2")
set(QT_REQUIRED_VERSION "5.4.0")

find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Test PrintSupport)
find_package(KF5I18n ${KF5_VERSION} CONFIG REQUIRED)

ecm_setup_version(${KDGANTS_LIB_VERSION} VARIABLE_PREFIX KDGANTT2
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kdgantt2_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5KDGantt2ConfigVersion.cmake"
                        SOVERSION 5
)

########### Targets ###########

add_definitions("-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII")
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0)
########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5KDGantt2")

ecm_configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5KDGantt2Config.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5KDGantt2Config.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5KDGantt2Config.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5KDGantt2ConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5KDGantt2Targets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5KDGantt2Targets.cmake NAMESPACE KF5::)

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/kdgantt2_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

# Laurent install it if you want to debug it
#add_subdirectory(tests)
add_subdirectory(src)

install( FILES kdgantt2.categories DESTINATION ${KDE_INSTALL_CONFDIR} )

=== debian/changelog ===
libkf5kdgantt2 (4:16.04.2-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 18 Jun 2016 09:33:25 +0200

libkf5kdgantt2 (4:16.04.1-1) unstable; urgency=medium

  * Initial release.
  * Update acc test
  * Fix wrong section name

 -- Maximiliano Curia <maxy@debian.org>  Sat, 21 May 2016 15:27:34 +0200

=== debian/control ===
Source: libkf5kdgantt2
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.19.0~),
               libkf5i18n-dev (>= 5.19.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.4.0~)
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kdgantt2.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kdgantt2.git

Package: libkf5kdgantt2-5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: A Gantt widget - library
 This library provides gantt support for KDE applications.
 .
 This package provides the shared libraries.

Package: libkf5kdgantt2-dev
Section: libdevel
Architecture: any
Depends: libkf5kdgantt2-5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         qtbase5-dev (>= 5.4.0~)
Description: A Gantt widget - devel files
 This library provides gantt support for KDE applications.
 .
 This package provides development files.

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kdgantt2-([\d.]+).tar.xz

## libkf5kdgantt2 16.04.3

=== debian/changelog ===
libkf5kdgantt2 (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Maximiliano Curia ]
  ** SNAPSHOT build @78c17d00c96ca4e44e7c7cd80b036c7e98d2c661 **

  * Initial release.
  * Update acc test

  [ Clive Johnston ]
  * New upstream release, bugfix 16.04.1
  * Sync with Debian, for initial packaging
  * Update VCS fields to point to Launchpad git repo
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:31:18 +0200

=== debian/control ===
Source: libkf5kdgantt2
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.24.0~),
               libkf5i18n-dev (>= 5.24.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdgantt2
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdgantt2

Package: libkf5kdgantt2-5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Gantt widget - library
 This library provides gantt support for KDE applications.
 .
 This package provides the shared libraries.

Package: libkf5kdgantt2-dev
Section: libdevel
Architecture: any
Depends: libkf5kdgantt2-5 (= ${binary:Version}),
         qtbase5-dev (>= 5.4.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Gantt widget - devel files
 This library provides gantt support for KDE applications.
 .
 This package provides development files.
